ข้ามไปยังเนื้อหา

Infinity Star

ผสานการทำงาน

ID โมเดล infinity-star/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/infinity-star/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: $0.07 70 เครดิต API · ≈ ₽7.33 เรียกใช้ในหน้านี้

รับคีย์ API

การแปลงข้อความเป็นวิดีโอแบบออโตรีเกรสซีฟ รองรับเอาต์พุต 16:9, 1:1 หรือ 9:16 พรอมต์เชิงลบ และการปรับปรุงพรอมต์ที่เป็นตัวเลือก

ByteDance · วิดีโอ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น

คำสั่งข้อความที่ใช้สร้างวิดีโอ

aspect_ratio ค่าเริ่มต้น 16:9

อัตราส่วนภาพของเอาต์พุตที่ได้

ขั้นสูง negative_prompt · num_inference_steps · guidance_scale · tau_video · seed · use_apg · enhance_prompt
ค่าเริ่มต้น

พรอมต์เชิงลบที่ระบุเนื้อหาที่ต้องการยกเว้นระหว่างการสร้าง

ค่าเริ่มต้น 50

จำนวนขั้นตอนการอนุมานที่จะดำเนินการ

ค่าเริ่มต้น 7.5

ระดับการควบคุมที่ใช้ระหว่างการสร้าง

ค่าเริ่มต้น 0.4

ค่า tau ของสเกลวิดีโอ

Seed ที่ใช้สร้างผลลัพธ์เดิมซ้ำ ละเว้นเพื่อสร้างแบบสุ่ม

POST /run/infinity-star/text-to-video?wait=20 ใบเสนอราคา → $0.07
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/infinity-star/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Infinity Star

สร้างวิดีโอจากข้อความ `prompt` โดยตั้งค่า `aspect_ratio` เป็น 16:9, 1:1 หรือ 9:16 การควบคุมประกอบด้วย `negative_prompt`, `num_inference_steps` (1 ถึง 100), `guidance_scale` (1 ถึง 40), `tau_video` และสวิตช์ `use_apg` `enhance_prompt` จะเขียนพรอมต์ใหม่ด้วย LLM และเปิดใช้งานเป็นค่าเริ่มต้น สามารถกำหนด `seed` แบบตายตัวได้

พารามิเตอร์

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
promptจำเป็น
ประเภทstring
คำสั่งข้อความที่ใช้สร้างวิดีโอ
negative_promptไม่บังคับ
ประเภทstring
ค่าเริ่มต้น
พรอมต์เชิงลบที่ระบุเนื้อหาที่ต้องการยกเว้นระหว่างการสร้าง
num_inference_stepsไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น50
1 – 100
จำนวนขั้นตอนการอนุมานที่จะดำเนินการ
guidance_scaleไม่บังคับ
ประเภทnumber
ค่าเริ่มต้น7.5
1 – 40
ระดับการควบคุมที่ใช้ระหว่างการสร้าง
tau_videoไม่บังคับ
ประเภทnumber
ค่าเริ่มต้น0.4
0.1 – 1
ค่า tau ของสเกลวิดีโอ
use_apgไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
เปิดหรือปิดใช้ APG
aspect_ratioไม่บังคับ
ประเภทenum
ค่าเริ่มต้น16:9
16:91:19:16
อัตราส่วนภาพของเอาต์พุตที่ได้
seedไม่บังคับ
ประเภทinteger | null
Seed ที่ใช้สร้างผลลัพธ์เดิมซ้ำ ละเว้นเพื่อสร้างแบบสุ่ม
enhance_promptไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
เปิดใช้การปรับปรุงพรอมต์ด้วย LLM
จำเป็น

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "infinity-star/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 70,
    "usd": "0.07",
    "charged": 70,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
video
object {url, content_type, file_name, file_size}ไฟล์วิดีโอผลลัพธ์

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/infinity-star/text-to-video.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt